SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000241SiT!portalpublic2008-11-21 22:152010-03-04 17:38
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.40 
Target Version3.41Fixed in Version3.41 
Summary0000241: can't change password in portal
Description1.- DON'T CHANGE CONTACT PASSWORD "mynewpassword"
 
Application Error [256]
MySQL Query Error Unknown column 'mynewpassword' in 'field list' in /usr/share/sit/htdocs/portal/contactdetails.php @ line 111
TagsNo tags attached.
Attached Files

- Relationships
related to 0000258closedivan Portal edit user details doesn't check permissions properly 

-  Notes
(0000215)
gdavidvlk (reporter)
2008-11-26 17:40

Me too, I experienced the same problem. I can add some details that can chenge the severity of the bug:
After the error reported above (Application Error [256] MySQL Query Error Unknown column 'mynewpassword' in 'field list' in /usr/share/sit/htdocs/portal/contactdetails.php @ line 111) you are redirect to portal/contactdetails.php without "?id=x".
Further changes in the form causes username field of admin to be DELETED from the database and/or replacement of admin details with the ones of the contact.
Logging out after this causes the impossibility to log in again or recovery the password.
It is then necessary to manage directly the db to fix the damages.
User avatar (0000217)
ivan (administrator)
2008-11-26 21:47

This was fixed in trunk svn r4221
http://sitracker.svn.sourceforge.net/viewvc/sitracker?view=rev&revision=4221 [^]


Sorry, I forgot to update this bug report.

- Issue History
Date Modified Username Field Change
2008-11-21 22:15 ivan New Issue
2008-11-21 22:15 ivan Status new => assigned
2008-11-21 22:15 ivan Assigned To => ivan
2008-11-26 17:40 gdavidvlk Note Added: 0000215
2008-11-26 21:47 ivan Note Added: 0000217
2008-11-26 21:47 ivan Status assigned => resolved
2008-11-26 21:47 ivan Resolution open => fixed
2008-11-26 21:47 ivan Fixed in Version => 3.41
2008-11-27 21:44 ivan Relationship added related to 0000258
2010-03-04 17:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker